%global kdevelop_ver 4.3.80

Name:           kdevelop-custom-buildsystem
Version:        1.2.2
Release:        1%{?dist}
Summary:        Support for custom buildsystem in KDevelop

License:        GPLv2+
URL:            http://kdevelop.org
Source0:        ftp://ftp.kde.org/pub/kde/stable/kdevelop/custom-buildsystem/%{version}/src/%{name}-%{version}.tar.bz2

BuildRequires:  kdevplatform-devel >= 1.3.80
BuildRequires:  kdelibs-devel
Requires:       kdevelop >= %{kdevelop_ver}

%description
This plugin allows to handle arbitrary custom buildsystems with KDevelop.

It supports setting up commands and arguments to build, configure, clean,
'dist-clean' and install the project, so that KDevelop's actions work as
expected.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%check
# Validation is not neccessary required since the files are kde internal
desktop-file-validate %{buildroot}/%{_kde4_datadir}/kde4/services/kcm_kdevcustombuildsystem.desktop
desktop-file-validate %{buildroot}/%{_kde4_datadir}/kde4/services/kdevcustombuildsystem.desktop

%files
%doc LICENSE.GPL2 LICENSE.GPL3 README
%{_kde4_libdir}/kde4/kcm_kdevcustombuildsystem.so
%{_kde4_libdir}/kde4/kdevcustombuildsystem.so
%{_kde4_datadir}/kde4/services/kcm_kdevcustombuildsystem.desktop
%{_kde4_datadir}/kde4/services/kdevcustombuildsystem.desktop


%changelog
* Fri Aug 10 2012 Radek Novacek <rnovacek@redhat.com> 1.2.2-1
- Update to 1.2.2
- BR: kdevplatfrom 1.3.80
- Change license to GPLv2+

* Mon Jul 23 2012 Radek Novacek <rnovacek@redhat.com> 1.2.1-4
- Use global instead of define

* Fri Apr 13 2012 Radek Novacek <rnovacek@redhat.com> 1.2.1-3
- Update source url to match stable release
- Require stable version kdevelop 4.3.0

* Wed Feb 15 2012 Radek Novacek <rnovacek@redhat.com> 1.2.1-2
- Remove unnecessary buildroot clean
- Remove dep version on kdelibs
- Validate desktop files

* Mon Jan 23 2012 Radek Novacek <rnovacek@redhat.com> 1.2.1-1
- Initial package
